package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TPanOrder;

/**
 * 盘点单Mapper接口
 *
 * @author wgs
 * @date 2024-06-20
 */
public interface TPanOrderMapper extends BaseMapper<TPanOrder> //修改
{
    /**
     * 查询盘点单
     *
     * @param id 盘点单主键
     * @return 盘点单
     */
    public TPanOrder selectTPanOrderById(Long id);

    /**
     * 查询盘点单列表
     *
     * @param tPanOrder 盘点单
     * @return 盘点单集合
     */
    public List<TPanOrder> selectTPanOrderList(TPanOrder tPanOrder);

    /**
     * 新增盘点单
     *
     * @param tPanOrder 盘点单
     * @return 结果
     */
    public int insertTPanOrder(TPanOrder tPanOrder);

    /**
     * 修改盘点单
     *
     * @param tPanOrder 盘点单
     * @return 结果
     */
    public int updateTPanOrder(TPanOrder tPanOrder);

    /**
     * 删除盘点单
     *
     * @param id 盘点单主键
     * @return 结果
     */
    public int deleteTPanOrderById(Long id);

    /**
     * 批量删除盘点单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTPanOrderByIds(Long[] ids);

    /**
     * 批量启用盘点单
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTPanOrderByIds(Long[] ids);

    /**
     * 批量禁用盘点单
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTPanOrderByIds(Long[] ids);

}
